Leaves
Deprecated
Company API v1 is deprecated and will be removed in a future release. Migrate to a newer version — v4 is the latest. Use the version switcher in the header.
List pending leave requests
Response Body
application/json
curl -X GET "https://example.com/api/public/v1/leave_requests/pending"{ "data": [ { "id": 0, "employee_id": 0, "leave_type_id": 0, "leave_type": "string", "state": "string", "amount": "string", "hours": "string", "tracking_time_in": "string", "starts_on": "string", "ends_on": "string", "comment": "string", "created_at": "string", "updated_at": "string", "attachment_url": null, "employee": { "id": 0, "first_name": "string", "last_name": "string", "email": "string" }, "entries": [ { "date": "string", "amount": "string" } ], "leave_type_policy": { "name": "string", "visibility": "string", "activity_type": "string" }, "approvals": [ null ] } ], "metadata": { "pagination": { "page": 0, "pages": 0, "count": 0, "items": 0 } }}